class ComplexNumber:
	real = 0.0
	img = 0.0
	def __init__(self,real=0,img=0):
		self.real = real
		self.img = img

	def __str__(self):
		if(self.img==0):
			return "%s" % (self.real)
		elif(self.real==0):
			return "%s" % (self.img)
		else:
			return "%s+i%s" % (self.real,self.img)

	def __radd__(self,other):
		return ComplexNumber(self.real + other,self.img)

	def __add__(self,other):
		sum_real = self.real + other.real
		sum_img = self.real + other.real
		return ComplexNumber(sum_real,sum_img)

	def __mul__(self,other):
		mul_real = self.real*other.real-self.img*other.img
		mul_img = self.real*other.img + self.img*other.real
		return ComplexNumber(mul_real,mul_img)

	def __rmul__(self,other):
		rmul_real = self.real*other
		rmul_img = self.img*other
		return ComplexNumber(rmul_real,rmul_img)

i1 = ComplexNumber(1,1)
i2 = ComplexNumber(2,0)
i3 = i1+i2
# print(sum([i1,i2]))
i4 = i1*i3
print(i1)
print(i2)
print(i3)
print(i4)